Bug 635706 - [RFE] Let's pack ABRT logs as well
[RFE] Let's pack ABRT logs as well
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: 0xFFFF (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Pierre Carrier
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 653468
  Show dependency treegraph
 
Reported: 2010-09-20 10:53 EDT by Tomas Smetana
Modified: 2010-11-21 20:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 653468 (view as bug list)
Environment:
Last Closed: 2010-11-15 09:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Something like this. (938 bytes, text/plain)
2010-09-20 10:55 EDT, Tomas Smetana
no flags Details
New patch with checkenabled() (1.15 KB, patch)
2010-11-14 19:32 EST, Pierre Carrier
no flags Details | Diff

  None (edit)
Description Tomas Smetana 2010-09-20 10:53:32 EDT
Description of problem:
The ABRT log of various crashes might provide quite useful information about a system that is being troubleshooted.

There exists an ABRT sos plugin which creates a sos report on each crash -- this looks a bit odd to me (very expensive resource-wise) and also having a sum of crashes on an misbehaving system might be an useful information

Version-Release number of selected component (if applicable):
sos svn checkout

How reproducible:
Always

Steps to Reproduce:
1. run sos
2. try to find an ABRT log
  
Actual results:
It's not there

Expected results:
It is e.g. in sos_commands/abrtlog/abrt-log

Additional info:
This needs a new plugin
Comment 1 Tomas Smetana 2010-09-20 10:55:31 EDT
Created attachment 448477 [details]
Something like this.

When placed in /usr/lib/python2.6/site-packages/sos/plugins/ it does the magic. Please consider adding such a plugin also to the upstream sos package.
Comment 2 Fedora Admin XMLRPC Client 2010-11-10 08:05:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Pierre Carrier 2010-11-14 19:32:27 EST
Created attachment 460437 [details]
New patch with checkenabled()

Added checkenabled() using the (admittedly unusual for Python code) "return True; return False" pattern, and a copyright notice.

Tomas, are you OK with your name being included like that?
Comment 4 Pierre Carrier 2010-11-14 19:35:06 EST
On a more general note, I had a look at the various options available.

We could even go further and gather infos+backtraces, with something along the lines of (to be Pythonized):

for ID in $(sqlite3 /var/spool/abrt/abrt-db 'select UUID from abrt_v4')
do
  abrt-cli -ib $ID
done

I don't have a strong opinion for or against it, and would be happy to get feedback on that.


Cheers,

-- 
Pierre
Comment 5 Pierre Carrier 2010-11-14 19:42:51 EST
Elements if we want to go further with the idea from my comment 4:

1) abrt-cli doesn't offer any clean way to list the UUID unless we want to parse the 'abrt -lf' output

2) No Python for the sqlite3 request as far as I'm concerned, as Red Hat doesn't ship Python support for sqlite3 in RHEL6;

3) However it seems safe to rely on /usr/bin/sqlite3 in this plugin.
Ran under RHEL6:
# rpm -q --requires abrt|grep sql;rpm -qf /usr/lib64/libsqlite3.so.0; rpm -qf /usr/bin/sqlite3
libsqlite3.so.0()(64bit)
sqlite-3.6.20-1.el6.x86_64
sqlite-3.6.20-1.el6.x86_64

-- 
Pierre
Comment 6 Pierre Carrier 2010-11-15 09:59:14 EST
Thanks again Tomas.

Including your name, it will be removed upon request.

Cloning this bug for a potentially more complete report.

Requested feature implemented through:
https://fedorahosted.org/sos/changeset/991
Comment 7 Tomas Smetana 2010-11-16 03:52:32 EST
Hi Pierre,
  thanks for stepping up. The patch provided in the comment #0 was meant more as an illustration and I actually thought that having the full backtraces in the sosreport would be the next step.  I didn't want to touch the database directly though -- in parallel I started patching abrt-cli but never got the will to finish it.  I will try harder.

TBH: It sounds silly to have my name in a copyright of a file where the biggest part has been written by somebody else. :) However if it's meant as "you're responsible for this", then OK, I will try to help.
Comment 8 Pierre Carrier 2010-11-21 20:51:35 EST
Perfect Tomas, thanks a lot for the "burden of authorship".

I agree we should get rid of the sqlite3 approach as soon as possible.

However it's not bugging me that much. IMHO we should file a feature request against abrt-cli, and from our "consumer" PoV, the feature would need to be introduced significantly before anyone ships a different database schema..

-- 
Pierre

Note You need to log in before you can comment on or make changes to this bug.